Package com.pixelmed.network

# Class PresentationDataValue

java.lang.Object
com.pixelmed.network.PresentationDataValue

public class PresentationDataValue extends Object

## Constructor Summary

Constructors
Constructor
Description
`PresentationDataValue(byte[] buf, int offset, int length)`
`PresentationDataValue(byte presentationContextID, byte[] value, boolean isCommand, boolean isLastFragment)`

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getBytes()`
`byte`
`getPresentationContextID()`
`byte[]`
`getValue()`
`boolean`
`isCommand()`
`boolean`
`isLastFragment()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PresentationDataValue

public PresentationDataValue(byte presentationContextID, byte[] value, boolean isCommand, boolean isLastFragment) throws DicomNetworkException

Parameters:
  `presentationContextID` -
  `value` -
  `isCommand` -
  `isLastFragment` -
Throws:
  `DicomNetworkException`

### PresentationDataValue

public PresentationDataValue(byte[] buf, int offset, int length) throws DicomNetworkException

Parameters:
  `buf` -
  `offset` -
  `length` -
Throws:
  `DicomNetworkException`

## Method Details

### getBytes

public byte[] getBytes()

### getValue

public byte[] getValue()

### isLastFragment

public boolean isLastFragment()

### isCommand

public boolean isCommand()

### getPresentationContextID

public byte getPresentationContextID()

### toString

public String toString()

Overrides:
  `toString` in class `Object`